Subject: Re: [bitcoin-dev] Possible change to the MIT license

From: Aymeric Vitte <[email-masked]>
Date: Tue, 13 Feb 2018 16:22:43 +0100

I was thinking to post something very similar on this list but not sure
that it would get some kind of interest

Not sure how and if it can be done (ie license modification) but the
reuse of the bitcoin core code can allow even a child to launch a fork
and this mess should stop, maybe people like to get "free" coins but
they are misleaded, they can lose everything and there are some more
vicious side effects like replay protection collisions between forks,
this is already happening, nobody seems to care but I wrote:

Bitcoin Tartuffe, the ultimate fork - User guide: How to create your
bitcoin fork in 5mn, fool everybody and become rich
https://www.linkedin.com/pulse/user-guide-how-create-your-bitcoin-fork-5mn-fool-everybody-vitte

--> this is a parody of course but very close to the reality, some info
are intentionally wrong

The madness of bitcoin forks: risk, reward and ruin
https://www.linkedin.com/pulse/madness-bitcoin-forks-risk-reward-ruin-aymeric-vitte/

I don't think that it really impacts bitcoin itself but this is
definitely too easy for people to fork the bitcoin core code and launch
some shxtty fork

Probably nobody here follow this, as an example (among plenty) see this
https://bitcointalk.org/index.php?topic=2515675.msg30173307#msg30173307
completely absurd mess

Le 13/02/2018 à 13:25, JOSE FEMENIAS CAÑUELO via bitcoin-dev a écrit :
> Hi,
>
> Bitcoin is licensed under the MIT license (https://github.com/bitcoin/bitcoin/blob/master/COPYING <https://github.com/bitcoin/bitcoin/blob/master/COPYING>) which is one of the most permissive licenses widely in use.
> While this almost restriction-less license has proved useful to many software projects, I think it could be wise to question its current suitability for this project, given the recent history.
>
> The difficulty among the general population to distinguish between Bitcoin (the protocol and software) and bitcoin (the currency) arises spontaneously from the intimate entanglement of both. 
> The current list of Bitcoin lookalikes includes: Bitcoin Cash, Bitcoin Gold, Bitcoin Diamond, Bitcoin God, Bitcoin Clashic, Super Bitcoin, Bitcoin Hot, Bitcoin X, Oil Bitcoin, Bitcoin World, Lightning Bitcoin...
>
> This recent flurry of hard forks is, IMHO, exacerbating the confusion about the very nature of the project, and harming it in many ways.
>
> Although the liberal MIT license is (rightfully) beneficial to many other projects, companies and individuals, it is my belief that several projects are unfairly taking advantage of this generous license to attack Bitcoin (both the software and the currency), confuse the public, and gain personal profit in a way that is severely harming the Bitcoin ecosystem.
>
> Therefore, I’d like to raise the possibility of amending the MIT license in a simple way, by adding a line such as:
>
>
> ***
> NO PART OF THIS SOFTWARE CAN BE INCLUDED IN ANY OTHER PROJECT THAT USES THE NAME BITCOIN AS PART OF ITS NAME AND/OR ITS MARKETING MATERIAL UNLESS THE SOFTWARE PRODUCED BY THAT PROJECT IS FULLY COMPATIBLE WITH THE BITCOIN (CORE) BLOCKCHAIN
> ***
>
> (This is just an approximation. A final version would probably have to include a restriction to some soundalikes like BITKOIN, BIITCOIN,…)
>
> This way, I could legitimate use this software to create my own crypto coin, or use it in Ethereum, Litecoin or any of the other legitimate cryptos, but I could not make my “Bitcoin Whatever” fork and keep using this software as the basis for it. I could also fork the bitcoin blockchain to create “Bcoin lightspeed” but not “Bitcoin lightspeed” for instance.
>
> I know this would probably not prevent the explosion of forks in the future, but maybe it could help mitigate the confusion among the users and the harm to this community. Even if its enforceability is dubious, at least any infringing project would be exposed to some liability. I see myself some possible loopholes the way the license addendum is written. My intention is not to arrive immediately to a final wording but to know if there is some value to the idea of changing the license with this purpose.
>
>
> Jose Femenias
> _______________________________________________
> bitcoin-dev mailing list
> [email-masked]
> https://lists.linuxfoundation.org/mailman/listinfo/bitcoin-dev

-- 
Bitcoin transactions made simple: https://github.com/Ayms/bitcoin-transactions
Zcash wallets made simple: https://github.com/Ayms/zcash-wallets
Bitcoin wallets made simple: https://github.com/Ayms/bitcoin-wallets
Get the torrent dynamic blocklist: http://peersm.com/getblocklist
Check the 10 M passwords list: http://peersm.com/findmyass
Anti-spies and private torrents, dynamic blocklist: http://torrent-live.org
Peersm : http://www.peersm.com
torrent-live: https://github.com/Ayms/torrent-live
node-Tor : https://www.github.com/Ayms/node-Tor
GitHub : https://www.github.com/Ayms